Skip to:
Content

Opened 5 years ago

Closed 5 years ago

Last modified 5 years ago

#2518 closed defect (fixed)

bbp_enqueue_script and bbp_enqueue_style do not support HTTPS

Reported by: tonyrix Owned by: johnjamesjacoby
Milestone: 2.5.4 Priority: normal
Severity: normal Version: 2.5
Component: General Keywords: has-patch
Cc:

Description

The bbp_enqueue_script and bbp_enqueue_style functions do not support https. Scripts and stylesheets are always sent using http resulting in browser insecure content warnings when a bbPress page is viewed over https.

The use of the WP_CONTENT_URL constant in these functions bypasses any protocol checks. Using the WP function content_url() instead returns the URL with the correct protocol.

Attachments (1)

template-functions.patch (858 bytes) - added by tonyrix 5 years ago.
Changes WP_CONTENT_URL to content_url()

Download all attachments as: .zip

Change History (5)

@tonyrix
5 years ago

Changes WP_CONTENT_URL to content_url()

#1 @netweb
5 years ago

  • Keywords has-patch added
  • Version set to 2.5

Thanks,

Tested and works with XAMPP localhost and IIS Multisite

#2 @johnjamesjacoby
5 years ago

  • Owner set to johnjamesjacoby
  • Resolution set to fixed
  • Status changed from new to closed

In 5261:

Use content_url() rather than WP_CONTENT_URL for style and script enqueue functions, fixing insecure content warnings when using SSL theme-side. Props tonyrix. Fixes #2518. (trunk)

#3 @johnjamesjacoby
5 years ago

In 5262:

Use content_url() rather than WP_CONTENT_URL for style and script enqueue functions, fixing insecure content warnings when using SSL theme-side. Props tonyrix. Fixes #2518. (2.5 branch)

#4 @johnjamesjacoby
5 years ago

  • Milestone changed from Awaiting Review to 2.5.4
Note: See TracTickets for help on using tickets.